#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './searchdlg_layout.ui'
**
** Created: Sun Jul 30 05:58:14 2006
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.6   edited Aug 31 2005 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "searchdlg_layout.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <kpushbutton.h>
#include <klineedit.h>
#include <qcombobox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "kwidgetlistbox.h"

/*
 *  Constructs a HitsLayout as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
HitsLayout::HitsLayout( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "HitsLayout" );
    setMinimumSize( QSize( 0, 0 ) );
    HitsLayoutLayout = new QGridLayout( this, 1, 1, KDialog::marginHint(), KDialog::spacingHint(), "HitsLayoutLayout"); 

    layout9 = new QHBoxLayout( 0, 0, KDialog::spacingHint(), "layout9"); 

    labelStatus = new QLabel( this, "labelStatus" );
    labelStatus->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)5, 0, 0, labelStatus->sizePolicy().hasHeightForWidth() ) );
    labelStatus->setAlignment( int( QLabel::AlignVCenter ) );
    layout9->addWidget( labelStatus );
    spacer = new QSpacerItem( 10, 20, QSizePolicy::Fixed, QSizePolicy::Minimum );
    layout9->addItem( spacer );

    buttonPrevious = new KPushButton( this, "buttonPrevious" );
    buttonPrevious->setEnabled( FALSE );
    buttonPrevious->setMinimumSize( QSize( 0, 0 ) );
    buttonPrevious->setProperty( "stdItem", 14 );
    layout9->addWidget( buttonPrevious );

    buttonNext = new KPushButton( this, "buttonNext" );
    buttonNext->setEnabled( FALSE );
    buttonNext->setMinimumSize( QSize( 0, 0 ) );
    buttonNext->setProperty( "stdItem", 15 );
    layout9->addWidget( buttonNext );

    buttonClose = new KPushButton( this, "buttonClose" );
    buttonClose->setMinimumSize( QSize( 0, 0 ) );
    buttonClose->setProperty( "stdItem", 13 );
    layout9->addWidget( buttonClose );

    HitsLayoutLayout->addLayout( layout9, 2, 0 );

    tableHits = new KWidgetListbox( this, "tableHits" );
    tableHits->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)7, 0, 0, tableHits->sizePolicy().hasHeightForWidth() ) );
    tableHits->setMinimumSize( QSize( 480, 440 ) );
    tableHits->setFocusPolicy( KWidgetListbox::StrongFocus );

    HitsLayoutLayout->addWidget( tableHits, 1, 0 );

    layout8 = new QHBoxLayout( 0, 0, KDialog::spacingHint(), "layout8"); 

    buttonClear = new KPushButton( this, "buttonClear" );
    buttonClear->setMinimumSize( QSize( 0, 0 ) );
    buttonClear->setProperty( "stdItem", 10 );
    layout8->addWidget( buttonClear );

    labelSearch = new QLabel( this, "labelSearch" );
    layout8->addWidget( labelSearch );

    editSearch = new KLineEdit( this, "editSearch" );
    layout8->addWidget( editSearch );

    labelCombo = new QLabel( this, "labelCombo" );
    layout8->addWidget( labelCombo );

    comboShow = new QComboBox( FALSE, this, "comboShow" );
    comboShow->setDuplicatesEnabled( TRUE );
    layout8->addWidget( comboShow );

    buttonFind = new KPushButton( this, "buttonFind" );
    buttonFind->setEnabled( FALSE );
    buttonFind->setMinimumSize( QSize( 0, 0 ) );
    buttonFind->setProperty( "stdItem", 25 );
    layout8->addWidget( buttonFind );

    HitsLayoutLayout->addLayout( layout8, 0, 0 );
    languageChange();
    resize( QSize(693, 638).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( buttonClose, SIGNAL( clicked() ), this, SLOT( close() ) );

    // tab order
    setTabOrder( buttonClear, editSearch );
    setTabOrder( editSearch, comboShow );
    setTabOrder( comboShow, buttonFind );
    setTabOrder( buttonFind, tableHits );
    setTabOrder( tableHits, buttonPrevious );
    setTabOrder( buttonPrevious, buttonNext );
    setTabOrder( buttonNext, buttonClose );

    // buddies
    labelSearch->setBuddy( editSearch );
    labelCombo->setBuddy( comboShow );
}

/*
 *  Destroys the object and frees any allocated resources
 */
HitsLayout::~HitsLayout()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void HitsLayout::languageChange()
{
    setCaption( tr2i18n( "Kerry Beagle Search" ) );
    labelStatus->setText( tr2i18n( "Results of <b>xx through xx of xxx</b> are shown." ) );
    buttonPrevious->setText( tr2i18n( "&Previous Results" ) );
    QToolTip::add( buttonPrevious, tr2i18n( "Show the previous search results" ) );
    buttonNext->setText( tr2i18n( "&Next Results" ) );
    QToolTip::add( buttonNext, tr2i18n( "Show the next search results" ) );
    buttonClose->setText( tr2i18n( "&Close" ) );
    QToolTip::add( buttonClose, tr2i18n( "Close the search dialog, an icon will stay in the system tray" ) );
    buttonClear->setText( QString::null );
    QToolTip::add( buttonClear, tr2i18n( "Clear the search term and results" ) );
    labelSearch->setText( tr2i18n( "&Search:" ) );
    labelCombo->setText( tr2i18n( "&Within:" ) );
    comboShow->clear();
    comboShow->insertItem( tr2i18n( "Everything" ) );
    comboShow->insertItem( tr2i18n( "Applications" ) );
    comboShow->insertItem( tr2i18n( "Office Documents" ) );
    comboShow->insertItem( tr2i18n( "Conversations" ) );
    comboShow->insertItem( tr2i18n( "Images" ) );
    comboShow->insertItem( tr2i18n( "Media" ) );
    comboShow->insertItem( tr2i18n( "Web Pages" ) );
    QToolTip::add( comboShow, tr2i18n( "Define in what sources shall be searched" ) );
    buttonFind->setText( tr2i18n( "&Find" ) );
    QToolTip::add( buttonFind, tr2i18n( "Start the search for entered term" ) );
}

#include "searchdlg_layout.moc"
